Bug 38316 - UCS doesn't apply all DHCP options received 3.2-5
UCS doesn't apply all DHCP options received 3.2-5
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Network
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-5-errata
Assigned To: Philipp Hahn
Felix Botner
:
Depends on: 37689 38652
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-22 14:10 CEST by Philipp Hahn
Modified: 2015-06-04 18:55 CEST (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Roadmap discussion (moved)
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2015-04-22 14:10:30 CEST
base/univention-network-manager/etc/dhcp/dhclient-exit-hooks.d/resolvconf uses exit.
Backport from 4.0-1 to 3.2-5
+++ This bug was initially created as a clone of Bug #37689 +++
Comment 1 Philipp Hahn univentionstaff 2015-04-22 14:17:16 CEST
r60081 | Bug #37689 Net: Fix sourced script using exit
 Back-port of r60077

Package: univention-network-manager
Version: 5.0.0-3.104.201504221412
Branch: ucs_3.2-0
Scope: errata3.2-5

r60082 | Bug #37689 Net: Fix sourced script using exit YAML
 2015-04-22-univention-network-manager.yaml

QA: echo 'echo SUCCESS >>/tmp/37689'>/etc/dhcp/dhclient-exit-hooks.d/zz37689
will only log SUCCESS with the fixed package installed.
Comment 2 Philipp Hahn univentionstaff 2015-04-22 14:18:35 CEST
r60083 | Bug #37689 Net: Fix sourced script using exit YAML
 Fix patch level version
Comment 3 Felix Botner univentionstaff 2015-05-05 16:38:31 CEST
OK - i just tested, if /etc/dhcp/dhclient-exit-hooks.d/rfc3442-classless-routes 
     is executed during boot with interfaces/eth0/type=dhcp
OK - YAML
Comment 4 Janek Walkenhorst univentionstaff 2015-05-07 13:48:23 CEST
<http://errata.univention.de/ucs/3.2/326.html>